Bug 1127058 - [RFE][keystone]: Make email a first class user attribute
Summary: [RFE][keystone]: Make email a first class user attribute
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 04:04 UTC by RHOS Integration
Modified: 2015-07-22 17:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:20:58 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-08-06 04:04:50 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/email-attribute.

Description:

Email is a common attribute of users, and we already explicitly support this
in keystoneclient, as well as show it in the entity examples in the Identity
API specification.  We also support mapping to it in our LDAP backend driver.
However, we do not list it as supported attribute in the user resource
specification.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.